# $Revision: 1.8 $, $Date: 2005/09/17 10:33:56 $
Summary:	Flexible network audio system
Summary(pl):	Elastyczny sieciowy system dwiku
Name:		rplay
Version:	3.3.2
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://rplay.doit.org/dist/%{name}-%{version}.tar.gz
# Source0-md5:	e39888f6bea32e1c8cf4a8880b416e56
Patch0:		%{name}-errno.patch
URL:		http://rplay.doit.org/
BuildRequires:	autoconf
BuildRequires:	libgsm-devel
BuildRequires:	readline-devel
BuildRequires:	rx
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rplay is a flexible network audio system that allows sounds to be
played to and from local and remote Unix systems. Sounds can be
played with or without sending audio data over the network using
either UDP or TCP. rplay audio servers can be configured to share
sound files with each other. Support for rplay is included in several
applications. These include xpilot, xlockmore, xboing, fvwm, and ctwm.

%description -l pl
rplay to elastyczny sieciowy system dwiku pozwalajcy na odtwarzanie
dwiku na i z lokalnych i zdalnych systemw. Dwiki mog by
odtwarzane z lub bez przesyania danych po sieci przy uyciu UDP lub
TCP. Serwery dwiku rplay mog by skonfigurowane tak, by dzieliy
pliki dwikowe midzy siebie. Obsug rplay ma kilka aplikacji, w tym
xpilot, xlockmore, xboing, fvwm i ctwm.

%package devel
Summary:	rplay header file
Summary(pl):	Plik nagwkowy rplay
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
rplay header file.

%description devel -l pl
Plik nagwkowy rplay.

%package static
Summary:	rplay static library
Summary(pl):	Statyczna biblioteka rplay
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
rplay static library.

%description static -l pl
Statyczna biblioteka rplay.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
CFLAGS="%{rpmcflags} -D_GNU_SOURCE"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL NEWS README README.linux TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/librplay.so
%attr(755,root,root) %{_libdir}/devrplay.so
%{_mandir}/man[158]/*
%{_infodir}/rplay.info*

%files devel
%defattr(644,root,root,755)
%{_includedir}/rplay.h
%{_infodir}/RPLAY.info*
%{_infodir}/RPTP.info*
%{_infodir}/librplay.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/librplay.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rplay.spec,v $
Revision 1.8  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.7  2004/04/11 02:00:24  qboosh
- added errno patch, lib64 fix

Revision 1.6  2004/04/11 00:36:21  qboosh
- strict internal deps

Revision 1.5  2003/05/28 13:01:41  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/28 08:27:52  qboosh
- cleanup

Revision 1.2  2003/01/27 17:19:08  qboosh
- always links with external rx

Revision 1.1  2003/01/26 22:38:38  qboosh
- new
